#
# spec file for package python-pyroute2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyroute2
Version:        0.4.5
Release:        4.1
Summary:        Python Netlink library
License:        GPL-2.0+ or Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/svinota/pyroute2
Source:         https://pypi.io/packages/source/p/pyroute2/pyroute2-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Pyroute2 is a pure Python **netlink** and Linux **network configuration**
library. It requires only Python stdlib, no 3rd party libraries.
Later it can change, but the deps tree will remain as simple, as
it is possible.

The library provides several modules:

* Netlink protocol implementations (RTNetlink, TaskStats, etc)
    * **rtnl**, network settings --- addresses, routes, traffic controls
    * **nl80211** --- wireless functions API (work in progress)
    * **nfnetlink** --- netfilter API: **ipset** (work in progress), ...
    * **ipq** --- simplest userspace packet filtering, iptables QUEUE target
    * **taskstats** --- extended process statistics
* Simple netlink socket object, that can be used in poll/select
* Network configuration module IPRoute provides API that in some
  way resembles ip/tc functionality
* IPDB is an async transactional database of Linux network settings

%prep
%setup -q -n pyroute2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.make.md README.packages.md README.md LICENSE.Apache.v2 CHANGELOG.md LICENSE.GPL.v2 README.license.md
%{python_sitelib}/*

%changelog
* Mon Aug  8 2016 glin@suse.com
- Update to 0.4.5 (fate#320644)
  + ifinfmsg: GTP interfaces support
  + generic: devlink protocol support
  + generic: code cleanup
  + iproute: #262 -- `get_vlans()` fix
  + iproute: default mask 32 for IPv4 in `addr()`
  + rtmsg: #260 -- RTA_FLOW support
  + ipdb: #259 -- critical `Interface` class fix
  + benchmark: initial release
  + ipdb: event modules
  + ipdb: on-demand views
  + ipdb: rules management
  + ipdb: bridge controls
  + ipdb: #258 -- important Python compatibility fixes
  + netns: #257 -- pipe leak fix
  + netlink: support pickling for nlmsg
  + netlink: no buffer copying in the parser
  + netlink: parse NLA on demand
  + ipdb: #244 -- lwtunnel multipath fixes
  + iproute: #235 -- route types
  + docs updated
* Sun May  8 2016 michael@stroeder.com
- Update to 0.4.0
* Fri Dec 11 2015 glin@suse.com
- Update to 0.3.15
* Fri Nov  6 2015 glin@suse.com
- initial import 0.3.14
